Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tests/dev/cgd Force cleanup parts to exit with a success sta...



details:   https://anonhg.NetBSD.org/src/rev/df922e8baa10
branches:  trunk
changeset: 763507:df922e8baa10
user:      jmmv <jmmv%NetBSD.org@localhost>
date:      Tue Mar 22 16:16:30 2011 +0000

description:
Force cleanup parts to exit with a success status.  Failures in cleanup
should not be allowed by atf-run (although they currently are ignored).

diffstat:

 tests/dev/cgd/t_cgd.sh |  8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diffs (36 lines):

diff -r 000d3640445f -r df922e8baa10 tests/dev/cgd/t_cgd.sh
--- a/tests/dev/cgd/t_cgd.sh    Tue Mar 22 15:16:23 2011 +0000
+++ b/tests/dev/cgd/t_cgd.sh    Tue Mar 22 16:16:30 2011 +0000
@@ -1,4 +1,4 @@
-#      $NetBSD: t_cgd.sh,v 1.7 2011/02/04 19:58:10 pooka Exp $
+#      $NetBSD: t_cgd.sh,v 1.8 2011/03/22 16:16:30 jmmv Exp $
 #
 # Copyright (c) 2010 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -57,7 +57,7 @@
 basic_cleanup()
 {
 
-       env RUMP_SERVER=unix://csock rump.halt
+       env RUMP_SERVER=unix://csock rump.halt || true
 }
 
 atf_test_case wrongpass cleanup
@@ -94,7 +94,7 @@
 wrongpass_cleanup()
 {
 
-       env RUMP_SERVER=unix://csock rump.halt
+       env RUMP_SERVER=unix://csock rump.halt || true
 }
 
 
@@ -122,7 +122,7 @@
 
 non512_cleanup()
 {
-       env RUMP_SERVER=unix://csock rump.halt
+       env RUMP_SERVER=unix://csock rump.halt || true
 }
 
 atf_init_test_cases()



Home | Main Index | Thread Index | Old Index